#define a(i,j) a[i+(*lda)*j]
void sgesl(float *a,int *lda,int *n,int *ipvt,float *b,int *job)
{
/*
   C version of Cleve Moler's SGESL - with Fortran ordering
   and call by address convention
*/
   float t;
   int k,k1,kb,l,nk,nm1,nv;
   nv  = *n;
   if(nv > 0){
      nm1 = nv - 1;
      for(k=0;k<nm1;k++){
         l = ipvt[k];
         t = b[l];
         if(l != k){
            b[l] = b[k];
            b[k] = t;
         }
         nk  = nv-k-1;
         k1  = k+1;
         saxpy(nk,t,&a(k1,k),1,&b[k1],1);
      }
   }
   for(kb=0;kb<nv;kb++){
      k    = nv - kb - 1;
      b[k] = b[k]/a(k,k);
      t    = -b[k];
      saxpy(k,t,&a(0,k),1,b,1);
   }
}
